Query status and config of Cluster Instances.
GET /api/v1/cluster/instances/status-config. Orchestrator API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
cluster instance summary flag
name pattern
User defined name of the project, unique across the enterprise. Once project is created, name can’t be changed
project name pattern
Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Fields to select: id, name, title, projectId, tags, clusterPolicyId, adminState, runState, edgeNodePoolIDs, serverNodeIDs, agentNodeIDs, nodesJobName, orchestratorClusterID, orchestratorClusterRunState, orchestratorClusterErrMsg, orchestratorClusterWarnMsg, projectName, clusterType
Response
A successful response.
ClusterInstStatusListMsg is used for listing the cluster instance statuses